Gecode::FlatZinc::FloatVarSpec Class Reference

Specification for floating point variables. More...

`#include <varspec.hh>`

## Public Member Functions

| FloatVarSpec (Option< std::pair< double, double > > &d, bool introduced, bool funcDep)
| FloatVarSpec (double d, bool introduced, bool funcDep)
| FloatVarSpec (const Alias &eq, bool introduced, bool funcDep)
Public Member Functions inherited from Gecode::FlatZinc::VarSpec
virtual | ~VarSpec (void)
| Destructor.
| VarSpec (bool introduced0, bool funcDep0)
| Constructor.

## Public Attributes

Option< std::pair< double, double > > | domain
Public Attributes inherited from Gecode::FlatZinc::VarSpec
int | i
| Variable index.
bool | alias
| Whether the variable aliases another variable.
bool | assigned
| Whether the variable is assigned.
bool | introduced
| Whether the variable was introduced in the mzn2fzn translation.
bool | funcDep
| Whether the variable functionally depends on another variable.

## Detailed Description

Specification for floating point variables.

Definition at line 119 of file varspec.hh.

## Constructor & Destructor Documentation

## FloatVarSpec() [1/3]

Gecode::FlatZinc::FloatVarSpec::FloatVarSpec | ( | Option< std::pair< double, double > > & | d,
|  | bool | introduced,
|  | bool | funcDep )

inline

Definition at line 122 of file varspec.hh.

## FloatVarSpec() [2/3]

Gecode::FlatZinc::FloatVarSpec::FloatVarSpec | ( | double | d,
|  | bool | introduced,
|  | bool | funcDep )

inline

Definition at line 127 of file varspec.hh.

## FloatVarSpec() [3/3]

Gecode::FlatZinc::FloatVarSpec::FloatVarSpec | ( | const Alias & | eq,
|  | bool | introduced,
|  | bool | funcDep )

inline

Definition at line 132 of file varspec.hh.

## Member Data Documentation

## domain

Option<std::pair<double,double> > Gecode::FlatZinc::FloatVarSpec::domain

Definition at line 121 of file varspec.hh.

The documentation for this class was generated from the following file:

- gecode/flatzinc/varspec.hh